public Action:mc_additem(args)
{
	if (g_ActiveMenu == INVALID_HANDLE)
		SetFailState("mc_additem reported: first use mc_create");

	if (args != 1 && args != 2)
		SetFailState("Syntax: mc_additem \"Text\" [\"commands\"]");

	decl String:text[65]; GetCmdArg(1, text, 65);
	if (args == 1)
	{
		if (g_ActiveMenuItsPanel) DrawPanelItem(g_ActiveMenu, text, ITEMDRAW_DISABLED);
		else AddMenuItem(g_ActiveMenu, "", text, ITEMDRAW_DISABLED);
	}
	else
	{
		decl String:commands[512]; GetCmdArg(2, commands, 512);
		if (g_ActiveMenuItsPanel)
		{
			new item_pos = DrawPanelItem(g_ActiveMenu, text, ITEMDRAW_DEFAULT);
			if (item_pos > 9 || item_pos < 1)
				SetFailState("mc_additem reported: Limit options in panel: 9");

			// "Handle:"
			// {
			//   ""
			//   {
			//     "cmd"	""

			decl String:info[20]; Format(info, 20, "%d", g_ActiveMenu); KvRewind(g_Kv);
			if (KvJumpToKey(g_Kv, info, true) && IntToString(item_pos, info, 20) > 0 && KvJumpToKey(g_Kv, info, true))
			{
				KvSetString(g_Kv, "cmd", commands);
			}
		}
		else
			AddMenuItem(g_ActiveMenu, commands, text, ITEMDRAW_DEFAULT);
	}

	return Plugin_Handled;
}