public Action:mc_create(args)
{
	if (args != 3)
		SetFailState("Syntax: mc_create \"menu/panel\" \"Menu_Name\" \"Menu Title\"");

	////////////////////////////////////////////////
	// menu or panel?
	decl String:Info[65]; GetCmdArg(1, Info, 65);
	if (strcmp(Info, "panel", false) == 0)		g_ActiveMenuItsPanel = true;
	else if (strcmp(Info, "menu", false) == 0)	g_ActiveMenuItsPanel = false;
	else SetFailState("Syntax: mc_create \"menu/panel\" \"Menu_Name\" \"Menu Title\"");

	////////////////////////////////////////////////
	// Menu_Name
	if (GetCmdArg(2, Info, 65) < 1 || TrimString(Info) < 1)
		SetFailState("mc_create reported: \"Menu_Name\" not specified");

	decl buffer[2];
	if (GetTrieArray(g_MenuInfo_Trie, Info, buffer, 2))
		SetFailState("mc_create reported: \"Menu_Name\" \"%s\" already exist", Info);

	g_ActiveMenu = g_ActiveMenuItsPanel ? CreatePanel() : CreateMenu(menu_CallBack);
	decl String:str_handle[20]; Format(str_handle, 20, "%d", g_ActiveMenu);
	buffer[0] = StringToInt(str_handle);
	buffer[1] = g_ActiveMenuItsPanel ? 1 : 0;
	SetTrieArray(g_MenuInfo_Trie, Info, buffer, 2);

	////////////////////////////////////////////////
	// Menu Title
	GetCmdArg(3, Info, 65); Format(Info, 65, "%s\n \n", Info);
	if (g_ActiveMenuItsPanel) SetPanelTitle(g_ActiveMenu, Info);
	else SetMenuTitle(g_ActiveMenu, Info);

	return Plugin_Handled;
}