public Action:mc_regcmd(args)
{
	if (g_ActiveMenu == INVALID_HANDLE)
		SetFailState("mc_regcmd reported: first use mc_create");

	if (args != 1 && args != 2)
		SetFailState("Syntax: mc_regcmd \"cmd\" [\"admin flags\"]");

	new admin_flags = 0; decl String:Info[50];

	if (args == 2)
	{
		GetCmdArg(2, Info, 50);
		admin_flags = ReadFlagString(Info);
	}

	GetCmdArg(1, Info, 50);
	if (admin_flags > 0) RegAdminCmd(Info, OpenMenuCmd, admin_flags);
	else RegConsoleCmd(Info, OpenMenuCmd);

	//      
	decl String:str_handle[20], buffer[2]; Format(str_handle, 20, "%d", g_ActiveMenu);
	buffer[0] = StringToInt(str_handle);
	buffer[1] = g_ActiveMenuItsPanel ? 1 : 0;
	if (!SetTrieArray(g_RegCmd_Trie, Info, buffer, 2, false))
		SetFailState("mc_regcmd reported: command \"%s\" already registered", Info);

	return Plugin_Handled;
}

public Action:OpenMenuCmd(client, args)
{
	if (!(0 < client <= MaxClients))
		return Plugin_Handled;

	decl String:cmd[50], buffer[2]; GetCmdArg(0, cmd, 50);
	if (GetTrieArray(g_RegCmd_Trie, cmd, buffer, 2))
	{
		// back menu
		if (g_MyMenuHistory_Array[client] == INVALID_HANDLE) g_MyMenuHistory_Array[client] = CreateArray(2);
		else ClearArray(g_MyMenuHistory_Array[client]);
		PushArrayArray(g_MyMenuHistory_Array[client], buffer, 2);

		if (buffer[1] == 1) SendPanelToClient(Handle:buffer[0], client, panel_CallBack, 0);
		else DisplayMenu(Handle:buffer[0], client, 0);
	}

	return Plugin_Handled;
}