#pragma semicolon 1
#include <sourcemod>

public Plugin:myinfo = 
{
	name	= "Menu Creator",
	author	= "wS (World-Source.Ru)",
	version = "v1.2"
};

new Handle:g_ActiveMenu = INVALID_HANDLE,	bool:g_ActiveMenuItsPanel;
new Handle:g_MenuInfo_Trie;					// "_"	> buffer[2] (0 , 1  )
new Handle:g_RegCmd_Trie;					// ""	> buffer[2] (0 , 1  )
new Handle:g_MyMenuHistory_Array[MAXPLAYERS + 1];
new Handle:g_Kv;							//      

#include "menu_creator/functions.sp"
#include "menu_creator/menu_CallBack.sp"
#include "menu_creator/mc_create.sp"
#include "menu_creator/mc_setbackmenu.sp"
#include "menu_creator/mc_additem.sp"
#include "menu_creator/mc_addtext.sp"
#include "menu_creator/mc_regcmd.sp"
#include "menu_creator/mc_show_menu.sp"
#include "menu_creator/mc_open_url.sp"

public OnPluginStart()
{
	if (!FileExists("cfg/menu_creator/menu_creator.cfg"))
		SetFailState("cstrike/cfg/menu_creator/menu_creator.cfg not found");

	g_MenuInfo_Trie					= CreateTrie();
	g_RegCmd_Trie					= CreateTrie();
	g_Kv							= CreateKeyValues("wS");

	RegServerCmd("mc_create",		mc_create);
	RegServerCmd("mc_setbackmenu",	mc_setbackmenu);
	RegServerCmd("mc_additem",		mc_additem);
	RegServerCmd("mc_addtext",		mc_addtext);
	RegServerCmd("mc_regcmd",		mc_regcmd);
	RegServerCmd("mc_show_menu",	mc_show_menu);
	RegServerCmd("mc_open_url",		mc_open_url);

	ServerCommand("exec menu_creator/menu_creator.cfg");
}

public OnClientDisconnect_Post(client)
{
	if (g_MyMenuHistory_Array[client] != INVALID_HANDLE)
	{
		CloseHandle(g_MyMenuHistory_Array[client]);
		g_MyMenuHistory_Array[client] = INVALID_HANDLE;
	}
}